<!DOCTYPE HTML>
<html lang="pl">
<head>
	<title>CWU SolarEdge</title>
	<meta charset="utf-8"/>
	<style>
        _STYLES_
	</style>
	<style>
        #error-container {
            display: none;
            justify-content: center;
            align-items: center;
            background-color: #ff4b4b;
            color: white;
            padding: 0.5rem;
            margin: 1rem;
        }
	</style>
	<script>
        refresh();

        function refresh() {
            fetch("/inverter")
                .then(res=> {
                    if (res.ok) return res.json();
                    return Promise.reject(res);
                })
                .then(res => {
                    document.getElementById("inverter-power").innerHTML = res.inverterPower;
                    document.getElementById("heater-state").innerHTML = res.heaterState;
                    document.getElementById("l1").innerHTML = res.l1;
                    document.getElementById("l2").innerHTML = res.l2;
                    document.getElementById("l3").innerHTML = res.l3;
                    document.getElementById("f").innerHTML = res.f;
                    document.getElementById("error-container").style.display = 'none';
                    setTimeout(refresh, 3000);
                })
                .catch(error => {
                    document.getElementById("inverter-power").innerHTML = '-';
                    document.getElementById("l1").innerHTML = '-';
                    document.getElementById("l2").innerHTML = '-';
                    document.getElementById("l3").innerHTML = '-';
                    document.getElementById("f").innerHTML = '-';
                    error.json().then(res => onError(res));
                    setTimeout(refresh, 3000);
                })
        }

        function onError(res) {
            console.log(res.message);
            document.getElementById("heater-state").innerHTML = res.heaterState;
            document.getElementById("error-message").innerHTML = res.message;
            document.getElementById("error-container").style.display = 'flex';
        }
	</script>
</head>
<body>
<div class="body-container">
	<div class="card">
		<h1>CWU SolarEdge</h1>
		<h2>Panel główny</h2>

		<div id="error-container">
			<span id="error-message"></span>
		</div>

		<div>Aktualna produkcja: <strong><span id="inverter-power">'+ inverterPower +'</span></strong> W</div>
		<div>Napięcie L1: <strong><span id="l1">'+ l1 +'</span></strong> V</div>
		<div>Napięcie L2: <strong><span id="l2">'+ l2 +'</span></strong> V</div>
		<div>Napięcie L3: <strong><span id="l3">'+ l3 +'</span></strong> V</div>
		<div>Częstotliwość: <strong><span id="f">'+ f +'</span></strong> Hz</div>
		<div>Moc włączania grzałki: <strong>'+ powerLimit +'</strong> W</div>
		<div>Histereza: <strong>'+ hysteresis +'</strong> W</div>
		<div>Tryb pracy: <strong>'+ powerMode +'</strong></div>
		<div>Stan grzałki: <strong><span id="heater-state">'+ heaterState +'</span></strong></div>

		<div class="buttons-container">
			<button onclick="location.href='/settings';">Ustawienia</button>
		</div>
	</div>
</div>

</div>
</body>
</html>